SuperLU: SRC/sp_coletree.c File Reference

SuperLU 7.0.0

Functions
sp_coletree.c File Reference
Common

Tree layout and computation routines. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include "slu_ddefs.h"`
Include dependency graph for sp_coletree.c:

## Functions
static int * | mxCallocInt (int n)
static void | initialize_disjoint_sets (int n, int **pp)
static int | make_set (int i, int *pp)
static int | link (int s, int t, int *pp)
static int | find (int i, int *pp)
static void | finalize_disjoint_sets (int *pp)
int | sp_coletree (int_t *acolst, int_t *acolend, int_t *arow, int nr, int nc, int *parent)
static void | nr_etdfs (int n, int *parent, int *first_kid, int *next_kid, int *post, int postnum)
int * | TreePostorder (int n, int *parent)
int | sp_symetree (int *acolst, int *acolend, int *arow, int n, int *parent)

## Function Documentation

## ◆ finalize_disjoint_sets()

static void finalize_disjoint_sets | ( | int * | pp | ) |
| static

## ◆ find()

static int find | ( | int | i,
|  | int * | pp
| ) |  |
| static

## ◆ initialize_disjoint_sets()

static void initialize_disjoint_sets | ( | int | n,
|  | int ** | pp
| ) |  |
| static

Here is the call graph for this function:

## ◆ link()

static int link | ( | int | s,
|  | int | t,
|  | int * | pp
| ) |  |
| static

## ◆ make_set()

static int make_set | ( | int | i,
|  | int * | pp
| ) |  |
| static

## ◆ mxCallocInt()

static int * mxCallocInt | ( | int | n | ) |
| static

## ◆ nr_etdfs()

static void nr_etdfs | ( | int | n,
|  | int * | parent,
|  | int * | first_kid,
|  | int * | next_kid,
|  | int * | post,
|  | int | postnum
| ) |  |
| static

## ◆ sp_coletree()

int sp_coletree | ( | int_t * | acolst,
|  | int_t * | acolend,
|  | int_t * | arow,
|  | int | nr,
|  | int | nc,
|  | int * | parent
| ) |  |

Here is the call graph for this function:

## ◆ sp_symetree()

int sp_symetree | ( | int * | acolst,
|  | int * | acolend,
|  | int * | arow,
|  | int | n,
|  | int * | parent
| ) |  |

Here is the call graph for this function:

## ◆ TreePostorder()

int * TreePostorder | ( | int | n,
|  | int * | parent
| ) |  |

Here is the call graph for this function: